%define api 1.0
%define major 0
%define libname %mklibname %name %api %major

Name:           gitg
Version:        0.1.0
Release:        %mkrel 1
Summary:        GTK+ graphical interface for the git revision control system
Group:          Graphical desktop/GNOME
License:        GPLv2+
URL:            http://trac.novowork.com/gitg
Source0:        http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  dbus-devel
BuildRequires:  libGConf2-devel
BuildRequires:  gtk2-devel
BuildRequires:  gtksourceview-devel
BuildRequires:  gsettings-desktop-schemas-devel
BuildRequires:  intltool
Requires:       git

%description
gitg is a GitX clone for GNOME/gtk+. It aims at being a small, fast and
convenient tool to visualize git history and actions that benefit from a
graphical presentation.

%package devel
Group: Development/C
Summary: Development library parts of %name
Requires: %name = %version-%release
Provides: libgitg-devel = %version-%release

%description devel
gitg is a GitX clone for GNOME/gtk+. It aims at being a small, fast and
convenient tool to visualize git history and actions that benefit from a
graphical presentation.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

desktop-file-install --vendor=""\
  --add-category="X-MandrivaLinux-MoreApplications-Development-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


#fix menu icon
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/*.png \
$RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png

%find_lang %{name}

%post
/sbin/ldconfig
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas

%postun
/sbin/ldconfig
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS NEWS README
%{_bindir}/gitg
%_datadir/icons/hicolor/*/apps/gitg*
%{_datadir}/gitg
%_datadir/glib-2.0/schemas/org.gnome.gitg.gschema.xml
%{_mandir}/man1/gitg.1*
%{_datadir}/applications/gitg.desktop
%_libdir/libgitg-%api.so.%{major}*
%{_datadir}/pixmaps/%{name}.png

%files devel
%defattr(-,root,root,-)
%doc ChangeLog
%_includedir/libgitg-%api
%_libdir/libgitg-%api.so
%_libdir/libgitg-%api.la
%_libdir/pkgconfig/libgitg-%api.pc


%changelog
* Wed Jan 19 2011 Texstar <texstar at gmail.com> 0.1.0-1pclos2011
- 0.1.0

* Sun Feb 21 2010 slick50 <lxgator@gmail.com> 0.0.6-1pclos2010
- initial pkg

